org.optaplanner.benchmark.impl

## Class DefaultPlannerBenchmarkFactory

- java.lang.Object
- - org.optaplanner.benchmark.api.PlannerBenchmarkFactory
  - - org.optaplanner.benchmark.impl.DefaultPlannerBenchmarkFactory

-     public class DefaultPlannerBenchmarkFactory
      extends PlannerBenchmarkFactory

  See Also:
    `PlannerBenchmarkFactory`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected PlannerBenchmarkConfig` | `plannerBenchmarkConfig`
    `protected SolverConfigContext` | `solverConfigContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultPlannerBenchmarkFactory(PlannerBenchmarkConfig plannerBenchmarkConfig)`
    `DefaultPlannerBenchmarkFactory(PlannerBenchmarkConfig plannerBenchmarkConfig, SolverConfigContext solverConfigContext)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `PlannerBenchmark` | `buildPlannerBenchmark()` Creates a new `PlannerBenchmark` instance.
    `<Solution_> PlannerBenchmark` | `buildPlannerBenchmark(Solution_... problems)` Creates a new `PlannerBenchmark` instance for datasets that are already in memory.
    `PlannerBenchmarkConfig` | `getPlannerBenchmarkConfig()` Deprecated.
    `SolverConfigContext` | `getSolverConfigContext()`

    - ### Methods inherited from class org.optaplanner.benchmark.api.PlannerBenchmarkFactory

      `buildPlannerBenchmark, create, createFromFreemarkerXmlFile, createFromFreemarkerXmlFile, createFromFreemarkerXmlFile, createFromFreemarkerXmlFile, createFromFreemarkerXmlInputStream, createFromFreemarkerXmlInputStream, createFromFreemarkerXmlInputStream, createFromFreemarkerXmlInputStream, createFromFreemarkerXmlReader, createFromFreemarkerXmlReader, createFromFreemarkerXmlReader, createFromFreemarkerXmlReader, createFromFreemarkerXmlResource, createFromFreemarkerXmlResource, createFromFreemarkerXmlResource, createFromFreemarkerXmlResource, createFromKieContainerXmlResource, createFromKieContainerXmlResource, createFromKieContainerXmlResource, createFromSolverConfigXmlResource, createFromSolverConfigXmlResource, createFromSolverConfigXmlResource, createFromSolverConfigXmlResource, createFromSolverFactory, createFromSolverFactory, createFromXmlFile, createFromXmlFile, createFromXmlInputStream, createFromXmlInputStream, createFromXmlReader, createFromXmlReader, createFromXmlResource, createFromXmlResource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### plannerBenchmarkConfig

          protected final PlannerBenchmarkConfig plannerBenchmarkConfig

    - #### solverConfigContext

          protected final SolverConfigContext solverConfigContext

  - ### Constructor Detail

    - #### DefaultPlannerBenchmarkFactory

          public DefaultPlannerBenchmarkFactory(PlannerBenchmarkConfig plannerBenchmarkConfig)

    - #### DefaultPlannerBenchmarkFactory

          public DefaultPlannerBenchmarkFactory(PlannerBenchmarkConfig plannerBenchmarkConfig,
                                                SolverConfigContext solverConfigContext)

  - ### Method Detail

    - #### buildPlannerBenchmark

          public PlannerBenchmark buildPlannerBenchmark()

      Description copied from class: `PlannerBenchmarkFactory`
      Creates a new `PlannerBenchmark` instance.
      Specified by:
        `buildPlannerBenchmark` in class `PlannerBenchmarkFactory`
      Returns:
        never null

    - #### buildPlannerBenchmark

          @SafeVarargs
          public final <Solution_> PlannerBenchmark buildPlannerBenchmark(Solution_... problems)

      Description copied from class: `PlannerBenchmarkFactory`
      Creates a new `PlannerBenchmark` instance for datasets that are already in memory.
      Specified by:
        `buildPlannerBenchmark` in class `PlannerBenchmarkFactory`
      Type Parameters:
        `Solution_` - the solution type, the class with the `PlanningSolution` annotation
      Parameters:
        `problems` - never null, can be none
      Returns:
        never null

    - #### getPlannerBenchmarkConfig

          @Deprecated
          public PlannerBenchmarkConfig getPlannerBenchmarkConfig()

      Deprecated.
      Description copied from class: `PlannerBenchmarkFactory`
      Deprecated. To configure a `PlannerBenchmarkFactory` dynamically (without parsing XML each time), use `PlannerBenchmarkFactory.create(PlannerBenchmarkConfig)` instead.

      This method is not thread-safe.

      Specified by:
        `getPlannerBenchmarkConfig` in class `PlannerBenchmarkFactory`
      Returns:
        never null

    - #### getSolverConfigContext

          public SolverConfigContext getSolverConfigContext()

Copyright © 2006–2020 JBoss by Red Hat. All rights reserved.